> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convocore.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a voice

> Returns metadata for a specific voice on a specific provider, including a previewUrl MP3.

```bash theme={null}
curl "https://eu-gcp-api.vg-stuff.com/v3/voices/elevenlabs/21m00Tcm4TlvDq8ikWAM" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

You can also pass `?sampleText=...` to customize the previewUrl content.

<Note>
  This endpoint does **not** consume credits.
</Note>


## OpenAPI

````yaml GET /voices/{provider}/{voiceId}
openapi: 3.0.3
info:
  title: Convocore OpenAPI
  description: Full API reference for Convocore
  version: 1.0.4
servers:
  - url: https://eu-gcp-api.vg-stuff.com/v3
security: []
paths:
  /voices/{provider}/{voiceId}:
    get:
      tags:
        - Voices
      summary: Get a single voice's metadata
      description: >-
        Returns metadata for a specific voice on a specific provider, including
        a previewUrl that can be used to play the voice in the browser.
      operationId: v2Audio-getProviderVoice
      parameters:
        - name: provider
          in: path
          required: true
          schema:
            type: string
        - name: voiceId
          in: path
          required: true
          schema:
            type: string
        - name: sampleText
          in: query
          required: false
          schema:
            type: string
        - name: modelId
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/voiceId_name_provider_previewUrl_7f4373'
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  schemas:
    voiceId_name_provider_previewUrl_7f4373:
      type: object
      properties:
        voiceId:
          type: string
        name:
          type: string
        provider:
          type: string
        previewUrl:
          type: string
        filters:
          $ref: '#/components/schemas/accent_gender_useCase_language_9df939'
      required:
        - voiceId
        - name
        - provider
        - previewUrl
        - filters
      additionalProperties: false
    accent_gender_useCase_language_9df939:
      type: object
      properties:
        accent:
          type: string
        gender:
          type: string
        useCase:
          type: string
        language:
          type: string
      required:
        - accent
        - gender
        - useCase
        - language
      additionalProperties: false
    message_11569e:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      additionalProperties: false
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  $ref: '#/components/schemas/message_11569e'
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````